Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils

From: Pádraig Brady <[email-masked]>
Date: Sat, 21 Nov 2020 13:17:02 +0000

On 21/11/2020 07:01, Akim Demaille wrote:
> Hi guys,
> 
>> Le 21 nov. 2020 à 07:35, Akim Demaille <[email-masked]> a écrit :
>>
>> Hi Pádraig,
>>
>> Just in case:
>>
>> $ for i in /usr/local/stow/bison-3.*
> 
> I had forgotten that there is a 2.3 sitting on my system, and indeed:
> 
> $ /usr/bin/bison gnulib/lib/parse-datetime.y
> gnulib/lib/parse-datetime.y:555.9-16: syntax error, unexpected identifier, expecting string
> 
> It chokes on `%define api.pure`.
> 
> According to NEWS, this syntax was introduced in 2.4 (2008-11-02).
> 
> I have tried to install 2.7 on my system, but I can't (because of
> portability issues of vasnprintf that were not covered by gnulib at
> that time).  I cannot even install 3.0.

Thanks a lot for checking.
The info in https://bugs.gnu.org/44739 must be incorrect,
and we've two counter checks to it now.

cheers,
Pádraig